LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
XGraphicExportFilter Interface Referencepublished

`import"XGraphicExportFilter.idl";`

Inheritance diagram for XGraphicExportFilter:

## Exported Interfaces
interface | ::com::sun::star::document::XFilter
| calling com::sun::star::document::XFilter::filter() starts the export of the graphic file. More...
interface | ::com::sun::star::document::XExporter
| sets the source component for this export filter. More...
interface | ::com::sun::star::document::XMimeTypeInfo
| lets you query the supported mime types by this component More...

## Additional Inherited Members
Public Member Functions inherited from XFilter
boolean | filter ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| filter the document. More...
void | cancel ()
| cancel the process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XExporter
void | setSourceDocument ([in] com::sun::star::lang::XComponent Document) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the source document for the exporter More...
Public Member Functions inherited from XMimeTypeInfo
boolean | supportsMimeType ([in] string MimeTypeName)
| asks whether a MIME type is supported or not. More...
sequence< string > | getSupportedMimeTypeNames ()

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ ::com::sun::star::document::XExporter

interface ::com::sun::star::document::XExporter

sets the source component for this export filter.

This could either be a DrawPage, a Shape or a Shapes.

## ◆ ::com::sun::star::document::XFilter

interface ::com::sun::star::document::XFilter

calling com::sun::star::document::XFilter::filter() starts the export of the graphic file.

The following properties from the com::sun::star::document::MediaDescriptor are supported:

- com::sun::star::document::MediaDescriptor::MediaType

  Depending on the export filters supported by this component, this is the mime type of the target graphic file.

  Possible values are:

  - image/x-MS-bmp
  - application/dxf
  - application/postscript
  - image/gif
  - image/jpeg
  - image/png
  - image/x-pict
  - image/x-pcx
  - image/x-portable-bitmap
  - image/x-portable-graymap
  - image/x-portable-pixmap
  - image/x-cmu-raster
  - image/targa
  - image/tiff
  - image/x-xbitmap
  - image/x-xpixmap
  - image/svg+xml

  Ask the interface com::sun::star::document::XMimeTypeInfo for all values supported by the component.

- com::sun::star::document::MediaDescriptor::URL

  This is the target url of the file that will be created during export.

## ◆ ::com::sun::star::document::XMimeTypeInfo

interface ::com::sun::star::document::XMimeTypeInfo

lets you query the supported mime types by this component

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XGraphicExportFilter.idl